export interface ReplayPerformanceEntry {
    /**
     * One of these types https://developer.mozilla.org/en-US/docs/Web/API/PerformanceEntry/entryType
     */
    type: string;
    /**
     * A more specific description of the performance entry
     */
    name: string;
    /**
     * The start timestamp in seconds
     */
    start: number;
    /**
     * The end timestamp in seconds
     */
    end: number;
    /**
     * Additional unstructured data to be included
     */
    data?: Record<string, any>;
}
export declare function createPerformanceEntries(entries: PerformanceEntry[]): ReplayPerformanceEntry[];
